%define upstream_version 20100531

Name:           hyphen-grc
Version:        0.%{upstream_version}
Release:        %mkrel 3
Summary:        Ancient Greek hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        http://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-grc.tex
Patch0:         hyphen-grc-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen

%description
Ancient Greek hyphenation rules.


%prep
%setup -T -q -c
cp -p %{SOURCE0} .
%patch0 -p0 -b .clean

%build
grep -v "^%" hyph-grc.tex | tr ' ' '\n' > temp.tex
substrings.pl temp.tex temp.dic UTF-8
LANG=el_GR.utf8 uniq temp.dic > hyph_grc_GR.dic
echo "created with substring.pl by substrings.pl hyph-grc.tex hyph_grc_GR.dic UTF-8" > README
echo "---" >> README
head -n 33 hyph-grc.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_grc_GR.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 353910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194648
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70032
- fix group
- imported package hyphen-grc

